Runtime

## org.eclipse.gmf.runtime.emf.clipboard.core
Class OverrideCopyOperation

    java.lang.Object
      org.eclipse.gmf.runtime.emf.clipboard.core.ClipboardOperation
          org.eclipse.gmf.runtime.emf.clipboard.core.CopyOperation
              org.eclipse.gmf.runtime.emf.clipboard.core.OverrideCopyOperation

    public abstract class OverrideCopyOperation

extends CopyOperation

Abstract definition of an `IClipboardSupport`-defined operation that completely overrides the default copy behaviour.

This class is intended to be extended by clients, to provide an alternative copy operation in the clipboard support.

See Also:
  `IClipboardSupport.getOverrideCopyOperation(CopyOperation)`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.gmf.runtime.emf.clipboard.core.CopyOperation
`CopyOperation.CopyParentsCopier`

Field Summary

Fields inherited from class org.eclipse.gmf.runtime.emf.clipboard.core.CopyOperation
`COPY`

Fields inherited from class org.eclipse.gmf.runtime.emf.clipboard.core.ClipboardOperation
`TOTAL_WORK, WORK_UNIT`

Constructor Summary
`OverrideCopyOperation(CopyOperation overriddenCopyOperation)` Initializes me with the default copy operation that I am overriding.

Method Summary
`protected CopyOperation` `getOverriddenCopyOperation()` Obtains the default copy operation that I am overriding.

Methods inherited from class org.eclipse.gmf.runtime.emf.clipboard.core.CopyOperation
`copy, doCopy, getAuxiliaryObjects, getCombinedCopyAlwaysSet, getCopyParentsCopier, getEObjects, getEObjectsHintMap`

Methods inherited from class org.eclipse.gmf.runtime.emf.clipboard.core.ClipboardOperation
`catchException, getClipboardOperationHelper, getProgressMonitor, isCancelled, throwCancelException, throwException`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OverrideCopyOperation

    public OverrideCopyOperation(CopyOperation overriddenCopyOperation)

  Initializes me with the default copy operation that I am overriding. I may want to access this default operation later in performing the copy.

  Parameters:
    `overriddenCopyOperation` - the default copy operation that I override

Method Detail

### getOverriddenCopyOperation

    protected CopyOperation getOverriddenCopyOperation()

  Obtains the default copy operation that I am overriding.

  Returns:
    the overridden copy operation

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.